# Faqs

FAQ related APIs

## 답변 선택

> 이 Method는 유저가 특정 FAQ를 조회하는 것을 시뮬레이션할 때 사용합니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"faqs","description":"FAQ related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/faq/select_answer":{"post":{"tags":["faqs"],"operationId":"selectFaq","summary":"답변 선택","description":"이 Method는 유저가 특정 FAQ를 조회하는 것을 시뮬레이션할 때 사용합니다.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"선택하고 싶은 FAQ의 ID"},"hashId":{"type":"string","description":"Q&A 검색 반환 결과의 ID"}}}}}},"responses":{"200":{"description":"FAQ 선택 완료","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","description":"성공할 경우, \"성공\"을 반환합니다."}}}}}},"404":{"description":"잘못된 FAQ를 제공할 경우"}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```

## Q\&A에서 검색

> 이 API를 사용하면 Q\&A 지식베이스에서 가장 관련성 높은 질문과 답변 쌍을 찾을 수 있습니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"faqs","description":"FAQ related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/faq":{"post":{"tags":["faqs"],"operationId":"searchFaq","summary":"Q&A에서 검색","description":"이 API를 사용하면 Q&A 지식베이스에서 가장 관련성 높은 질문과 답변 쌍을 찾을 수 있습니다.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"autoRegisterCandidates":{"type":"boolean","description":"기본 값은 true입니다. 이 옵션이 false로 설정되면, 주어진 쿼리에 대한 답변이 없을 때 쿼리를 자동으로 후보에게 등록하지 않습니다."},"hashtagsOperator":{"type":"string","enum":["AND","OR"],"description":"AND 또는 OR.   \n모든 결과에 모든 해시태그가 포함되기를 원하면 AND를 선택해 주세요.   \n모든 결과에 적어도 하나의 해시태그가 포함되기를 원하면 OR을 선택해 주세요."},"hashtags":{"type":"array","items":{"type":"string"},"description":"표시하고 싶은 모든 해시태그의 배열."},"maxResults":{"type":"integer","description":"반환할 최대 결과 수."},"query":{"type":"string","description":"쿼리 문자열입니다.","required":true},"format":{"type":"string","enum":["html","text"],"description":"텍스트인지 html인지 여부. 텍스트인 경우 반환 값은 일반 텍스트입니다. html인 경우 html로 반환됩니다. 답변에 다른 폰트 크기와 색상이 있는 스타일이 적용된 html이 포함된 경우 html을 사용할 수 있습니다. 단순히 텍스트로 답변을 얻고 싶다면 텍스트를 사용할 수 있습니다. 기본값은 html입니다."}}}}}},"responses":{"200":{"description":"API는 Q&A 데이터베이스에서 가장 관련성 있는 질문과 답변을 찾을 것입니다.","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"array","items":{"type":"object","properties":{"confidence":{"type":"number","description":"AI 모델의 신뢰도를 보여줍니다. 0과 1 사이의 숫자 값으로 표시됩니다."},"effectiveConfidence":{"type":"number","description":"쿼리 결과에 피드백을 제공하면 자동으로 AI 모델의 트레이닝이 실행됩니다. 효과적인 신뢰도는 이러한 유저 및 에이전트의 피드백으로 조정된 점수입니다. 0과 1 사이의 숫자 값으로 표시됩니다."},"question":{"type":"string","description":"선택된 Q&A 쌍의 질문 부분입니다."},"answer":{"type":"string","description":"선택된 Q&A 쌍의 답변 부분입니다."},"id":{"type":"string","description":"이는 피드백을 주거나 취소하기 위한 결과를 식별하는 데 사용됩니다."},"hashtags":{"type":"array","items":{"type":"string"},"description":"Q&A에 등록된 해시태그."},"lastUpdatedDate":{"type":"string","format":"date","description":"Q&A가 마지막으로 업데이트된 날짜."},"agentFeedback":{"type":"object","properties":{"positiveCount":{"type":"integer","description":"에이전트로부터 받은 긍정적인 피드백의 수."},"negativeCount":{"type":"integer","description":"대리인으로부터의 부정적인 피드백 수."}},"description":"이 Q&A에 대한 에이전트의 피드백 (대시보드 및 REST 호출을 통해)."},"userFeedback":{"type":"object","properties":{"positiveCount":{"type":"integer","description":"유저로부터 받은 긍정적인 피드백 수."},"negativeCount":{"type":"integer","description":"유저로부터 받은 부정적인 피드백의 수."}},"description":"이 Q&A에 대한 유저들(대화를 통해)의 피드백."}}}},"count":{"type":"integer","description":"제안된 Q&A의 수."},"hashId":{"type":"string","description":"나중에 select_answer를 호출할 때 이 해시 ID가 사용됩니다."}}}}}}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```

## 단일 질문 및 답변 가져오기

> 단일 Q\&A의 모든 세부 정보를 가져오는 방법입니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"faqs","description":"FAQ related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/single_faq":{"get":{"tags":["faqs"],"operationId":"getExactFaq","summary":"단일 질문 및 답변 가져오기","description":"단일 Q&A의 모든 세부 정보를 가져오는 방법입니다.","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"name":"id","in":"query","required":true,"schema":{"type":"string"},"description":"The id of the FAQ you are looking for."},{"name":"format","in":"query","required":false,"schema":{"type":"string","enum":["html","text"]},"description":"The format of the answer value for this FAQ. Default is HTML."}],"responses":{"200":{"description":"FAQ 세부정보를 성공적으로 검색했습니다.","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object","properties":{"question":{"type":"string","description":"Q&A와 관련된 질문."},"similar_questions":{"type":"array","items":{"type":"string"},"description":"같은 답을 가진 유사한 질문들."},"answer":{"type":"string","description":"질문에 대한 답."},"id":{"type":"string","description":"이 Q&A의 ID."},"userFeedback":{"type":"object","properties":{"positiveCount":{"type":"integer","description":"유저로부터 받은 긍정적인 피드백의 수."},"negativeCount":{"type":"integer","description":"유저로부터 받은 부정적인 피드백의 수."}},"description":"이 Q&A에 대한 유저들의 (대화를 통한) 피드백."},"agentFeedback":{"type":"object","properties":{"positiveCount":{"type":"integer","description":"에이전트로부터의 긍정적인 피드백의 수."},"negativeCount":{"type":"integer","description":"에이전트로부터의 부정적인 피드백 수."}},"description":"에이전트로부터의 피드백(대시보드와 REST 호출을 통해)입니다."},"lastUpdatedDate":{"type":"string","format":"date","description":"Q&A가 마지막으로 업데이트된 날짜."},"createdDate":{"type":"string","format":"date","description":"Q&A가 처음 생성된 날짜."},"hashtags":{"type":"array","items":{"type":"string"},"description":"이 질문과 관련된 모든 해시태그."},"statusOnAt":{"type":"string","format":"date-time","description":"Q&A가 ON된 날짜와 시간."},"statusOffAt":{"type":"string","format":"date-time","description":"Q&A가 OFF된 날짜와 시간."},"folder":{"type":"string","description":"이 Q&A가 저장된 폴더."},"agentEditor":{"type":"array","items":{"type":"string"},"description":"이 Q&A에 대한 편집 권한이 있는 에이전트 목록."},"agentViewer":{"type":"array","items":{"type":"string"},"description":"이 Q&A에 대한 조회 권한이 있는 에이전트 목록."},"allowOtherAgentsView":{"type":"boolean","description":"편집자/보기자 목록에 없는 에이전트가 이 Q&A를 볼 수 있는지 여부."},"allowOtherUsersView":{"type":"boolean","description":"뷰어 목록에 없는 유저가 이 Q&A를 볼 수 있는지 여부."}}}}}}}},"404":{"description":"FAQ를 찾을 수 없습니다","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"string"}}}}}}}}}}}
```

## Q\&A 가져오기

> 이 API를 사용하여 지식베이스에서 Q\&A를 가져올 수 있습니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"faqs","description":"FAQ related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/faqs":{"get":{"tags":["faqs"],"operationId":"getFaqs","summary":"Q&A 가져오기","description":"이 API를 사용하여 지식베이스에서 Q&A를 가져올 수 있습니다.","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","default":0},"description":"Offset allows you to specify the ranking number of the first item on the page."},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":1000},"description":"Limit allows you to set the number of objects returned on one page. The maximum and the default value is 1000."},{"name":"format","in":"query","required":false,"schema":{"type":"string","enum":["text","html"],"default":"html"},"description":"If your answers contain styled html, such as different font size or color, you can use html to get answers in html format. If you simply want to get answers as a text, you can use the text."}],"responses":{"200":{"description":"FAQ를 성공적으로 가져왔습니다.","content":{"application/json":{"schema":{"type":"object","properties":{"offset":{"type":"integer","description":"Offset 요청 매개 변수와 동일한 Offset 값."},"count":{"type":"integer","description":"제한이 적용된 후 나열된 Q&A의 총 수."},"total_count":{"type":"integer","description":"적용된 필터의 결과로 나타난 Q&A의 총 수."},"results":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"Q&A의 ID."},"question":{"type":"string","description":"Q&A의 질문 부분."},"answer":{"type":"string","description":"Q&A의 답변 부분."},"hashtags":{"type":"array","items":{"type":"string"},"description":"Q&A에 추가된 해시태그."},"userFeedback":{"type":"object","properties":{"positiveCount":{"type":"integer","description":"긍정적인 유저 피드백 수."},"negativeCount":{"type":"integer","description":"부정적인 유저 피드백 수."}},"description":"유저 피드백은 향후 쿼리의 검색 결과에 영향을 미칩니다."},"agentFeedback":{"type":"object","properties":{"positiveCount":{"type":"integer","description":"긍정적인 에이전트 피드백 수."},"negativeCount":{"type":"integer","description":"부정적인 에이전트 피드백 수."}},"description":"에이전트 피드백은 미래의 쿼리에 대한 검색 결과에 영향을 미칩니다."},"lastUpdatedDate":{"type":"string","format":"date","description":"Q&A가 마지막으로 업데이트된 날짜."},"createdDate":{"type":"string","format":"date","description":"Q&A가 생성된 날짜."}}}}}}}}}}}}}}
```

## Q\&A 검색

> 이 API를 사용하여 지식베이스에서 Q\&A를 검색하고 필터링할 수 있습니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"faqs","description":"FAQ related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/faqs":{"post":{"tags":["faqs"],"operationId":"searchFaqs","summary":"Q&A 검색","description":"이 API를 사용하여 지식베이스에서 Q&A를 검색하고 필터링할 수 있습니다.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"searchTerm":{"type":"string","description":"목록을 필터링하기 위한 키워드 검색 쿼리입니다. 연산자를 사용하여 고급 검색을 실행할 수 있습니다. \"TERM1 TERM2\"는 AND, \"TERM1 OR TERM2\"는 OR, \"TERM\"은 정확히 일치하는 검색에 사용됩니다."},"isUsed":{"type":"boolean","description":"True일 경우, 활성화된 Q&A만 나열되고, False일 경우, 비활성화된 Q&A만 표시됩니다."},"hashtags":{"type":"array","items":{"type":"string"},"description":"목록을 필터링하기 위한 해시태그. 여러 개의 해시태그를 추가할 수 있습니다."},"hashtagsOperator":{"type":"string","enum":["and","or"],"description":"해시태그가 \"and\"이면, 여러 개의 해시태그 필터는 AND 논리로 작동합니다. \"or\"이면, OR 논리로 작동합니다."},"createdByAgent":{"type":"boolean","description":"True인 경우, 목록에는 에이전트가 작성한 Q&A만 포함됩니다. False인 경우, 다른 Q&A만 포함됩니다. createdByAgent, answeredByMrc, autoGenerated, editedByAgent 필터는 상호 배타적이며, 두 개 이상의 필터가 사용되면 OR 논리가 적용됩니다."},"answeredByMrc":{"type":"boolean","description":"True인 경우, 목록에는 업로드된 문서에서 자동으로 추출된 답변인 Q&A만 포함됩니다. False인 경우, 다른 Q&A만 포함됩니다."},"autoGenerated":{"type":"boolean","description":"True이면 목록에는 자동 생성된 Q&A만 포함됩니다. False이면 다른 Q&A만 포함됩니다."},"editedByAgent":{"type":"boolean","description":"True일 경우, 목록에는 등록 후 어떤 에이전트에 의해 편집된 Q&A만 포함됩니다. False일 경우, 다른 Q&A만 포함됩니다."},"format":{"type":"string","enum":["html","text"],"description":"답변에 다양한 글꼴 크기나 색상과 같은 스타일이 있는 HTML이 포함되어 있다면, HTML 형식을 사용하여 답변을 받을 수 있습니다. 단순히 텍스트로 답변을 받고 싶다면, 텍스트를 사용할 수 있습니다. 기본값은 HTML입니다."},"offset":{"type":"integer","description":"Offset은 페이지에서 첫 번째 항목의 순위 번호를 지정할 수 있게 합니다."},"limit":{"type":"integer","description":"제한은 한 페이지에 반환되는 객체 수를 설정할 수 있게 해줍니다. 최대값과 기본값은 1000입니다."}}}}}},"responses":{"200":{"description":"FAQ 검색 성공","content":{"application/json":{"schema":{"type":"object","properties":{"offset":{"type":"integer","description":"Offset 요청 매개변수와 동일한 Offset 값."},"count":{"type":"integer","description":"제한이 적용된 후 나열된 Q&A의 총 수."},"total_count":{"type":"integer","description":"적용된 필터의 결과로 얻은 Q&A의 총 수."},"results":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"Q&A의 ID."},"question":{"type":"string","description":"Q&A의 질문 부분."},"answer":{"type":"string","description":"Q&A의 답변 부분."},"hashtags":{"type":"array","items":{"type":"string"},"description":"Q&A에 추가된 해시태그."},"userFeedback":{"type":"object","properties":{"positiveCount":{"type":"integer","description":"긍정적인 유저 피드백 수."},"negativeCount":{"type":"integer","description":"부정적인 유저 피드백 수."}},"description":"유저 피드백은 향후 검색 쿼리에 대한 검색 결과에 영향을 미칩니다."},"agentFeedback":{"type":"object","properties":{"positiveCount":{"type":"integer","description":"긍정적인 에이전트 피드백 수."},"negativeCount":{"type":"integer","description":"부정적인 에이전트 피드백 수."}},"description":"에이전트 피드백은 미래 쿼리에 대한 검색 결과에 영향을 미칩니다."},"lastUpdatedDate":{"type":"string","format":"date","description":"Q&A가 마지막으로 업데이트된 날짜."},"createdDate":{"type":"string","format":"date","description":"Q&A가 생성된 날짜."}}}}}}}}}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```

## Q\&A 추가

> 이 API를 사용하여 새로운 Q\&A를 추가하거나 기존 Q\&A를 업데이트할 수 있습니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"faqs","description":"FAQ related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/register_faq":{"post":{"tags":["faqs"],"operationId":"createFaq","summary":"Q&A 추가","description":"이 API를 사용하여 새로운 Q&A를 추가하거나 기존 Q&A를 업데이트할 수 있습니다.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"question":{"type":"string","required":true,"description":"Q&A의 질문 부분."},"similarQuestions":{"type":"array","items":{"type":"string"},"description":"같은 답을 가지고 있는 유사한 질문들."},"answer":{"type":"string","required":true,"description":"Q&A의 답변 부분. 데이터베이스에 동일한 질문이 존재하는 경우, 해당 답변이 기존 답변을 대체합니다."},"hashtags":{"type":"array","items":{"type":"string"},"description":"Q&A에 해시태그 추가됨."},"status":{"type":"string","enum":[true,false],"required":true,"description":"켜짐 또는 꺼짐. 켜짐으로 설정하면, 등록된 Q&A가 Q&A 검색에 활성화됩니다."},"memo":{"type":"string","description":"에이전트와 공유할 Q&A에 대한 메모."},"target_folder_id":{"type":"string"},"allowOtherAgentsView":{"type":"boolean"},"allowOtherUsersView":{"type":"boolean"}}}}}},"responses":{"200":{"description":"FAQ 생성이 완료되었습니다.","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object","properties":{"status":{"type":"string","description":"등록된 Q&A의 상태. '생성됨'은 Q&A가 새로 생성되었음을 의미합니다. '업데이트됨'은 기존 Q&A가 새로운 답변으로 업데이트되었음을 의미합니다."},"id":{"type":"string","description":"등록된 Q&A의 ID."}}},"errors":{"type":"string"}}}}}}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```

## Q\&A 업데이트

> 이 API를 사용하여 기존 Q\&A를 업데이트할 수 있습니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"faqs","description":"FAQ related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/register_faq":{"put":{"tags":["faqs"],"operationId":"updateFaq","summary":"Q&A 업데이트","description":"이 API를 사용하여 기존 Q&A를 업데이트할 수 있습니다.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","required":true,"description":"업데이트할 Q&A의 ID."},"question":{"type":"string","description":"Q&A의 질문 부분."},"similar_questions":{"type":"array","items":{"type":"string"},"description":"같은 답을 가진 유사한 질문들."},"answer":{"type":"string","description":"Q&A의 답변 부분."},"hashtags":{"type":"array","items":{"type":"string"},"description":"Q&A에 해시태그 추가됨."},"status":{"type":"string","enum":[true,false],"description":"켜짐 또는 꺼짐. 켜짐으로 설정하면 Q&A 검색에 Q&A가 활성화됩니다."},"target_folder_id":{"type":"string"},"allowOtherAgentsView":{"type":"boolean"},"allowOtherUsersView":{"type":"boolean"}}}}}},"responses":{"200":{"description":"FAQ가 성공적으로 업데이트되었습니다.","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object","properties":{"status":{"type":"string","description":"업데이트 상태입니다. '업데이트됨'은 Q&A가 성공적으로 업데이트되었음을 의미합니다."},"id":{"type":"string","description":"업데이트된 Q&A의 ID."}}},"errors":{"type":"string"}}}}}}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```

## Q\&A 삭제

> 이 API를 사용하여 Q\&A를 삭제할 수 있습니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"faqs","description":"FAQ related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/delete_faq":{"post":{"tags":["faqs"],"operationId":"deleteFaq","summary":"Q&A 삭제","description":"이 API를 사용하여 Q&A를 삭제할 수 있습니다.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","required":true,"description":"삭제하려는 Q&A의 ID."}}}}}},"responses":{"200":{"description":"자주 묻는 질문이 성공적으로 삭제되었습니다.","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object","properties":{"status":{"type":"string","description":"Q&A가 성공적으로 삭제되면 삭제됩니다."}}},"errors":{"type":"string"}}}}}},"404":{"description":"FAQ를 찾을 수 없습니다.","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"string","description":"Q&A를 찾을 수 없다는 오류 메시지."}}}}}}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```

## Q\&A 업로드

> 이 API를 사용하여 tsv, csv, xlsx 및 zip 형식으로 여러 Q\&A를 업로드할 수 있습니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"faqs","description":"FAQ related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/upload_faq_file":{"post":{"tags":["faqs"],"operationId":"uploadFaqWithFile","summary":"Q&A 업로드","description":"이 API를 사용하여 tsv, csv, xlsx 및 zip 형식으로 여러 Q&A를 업로드할 수 있습니다.","requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary","description":"로컬 Q&A 파일 위치입니다. xlsx, tsv, csv, zip 파일이 지원됩니다."}}}}}},"responses":{"200":{"description":"FAQ 파일 업로드 성공","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","description":"업로드 작업의 성공 상태"},"notUploaded":{"type":"array","items":{"type":"object","properties":{"question":{"type":"string","description":"업로드되지 않거나 업데이트되지 않은 Q&A의 질문 부분"},"state":{"type":"string","description":"유사한 질문 내용이 있어서 Q&A가 중복으로 인해 업로드되지 않은 경우 다음과 같습니다. 동일한 질문 내용으로 인해 기존 Q&A를 업데이트한 경우 다음과 같습니다."}}}}}}}}},"400":{"description":"잘못된 매개변수"}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```

## Q\&A Feedback

> This API lets you give or cancel feedback given to a Q\&A pair for a search query.<br>

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"faqs","description":"FAQ related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/faq_feedback":{"post":{"tags":["faqs"],"operationId":"faqFeedback","summary":"Q&A Feedback","description":"This API lets you give or cancel feedback given to a Q&A pair for a search query.\n","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["query","id","isPositive"],"properties":{"query":{"type":"string","description":"The query you want to give or cancel feedback for, toward the Q&A."},"id":{"type":"string","description":"The ID for the Q&A you want to give or cancel feedback for the query. It is created whenever a Q&A search happens and bound to the query and the Q&A pair. It can be retrieved using the Q&A API above."},"isPositive":{"type":"boolean","nullable":true,"description":"When the value is true, positive feedback is given to the Q&A for the query. When it's false, negative feedback is given. When it's null, it cancels the feedback."}}}}}},"responses":{"200":{"description":"Feedback submitted successfully","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object","properties":{"faqTrainSearchResult":{"type":"object","properties":{"faq":{"type":"object","properties":{"id":{"type":"string","description":"The ID for the Q&A you want to give or cancel feedback for the query. It's the same one you used for the request."}}},"agentFeedback":{"type":"object","properties":{"positiveCount":{"type":"integer","description":"The total number of positive feedbacks after the request is processed."},"negativeCount":{"type":"integer","description":"The total number of negative feedbacks after the request is processed."}}}}}}},"errors":{"type":"object","nullable":true,"description":"Error information if the request fails"}}}}}}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```

## Q\&A 질의 기록

> REST API와 Alli 대시보드를 통해 수행된 과거 Q\&A 검색 결과를 반환합니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"faqs","description":"FAQ related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/faq_histories":{"get":{"tags":["faqs"],"operationId":"faqHistories","summary":"Q&A 질의 기록","description":"REST API와 Alli 대시보드를 통해 수행된 과거 Q&A 검색 결과를 반환합니다.","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"name":"limit","in":"query","required":false,"schema":{"type":"integer"},"description":"가장 이른 날짜는 (날짜는 YYYY-MM-DD 형식이어야 합니다)입니다."},{"name":"offset","in":"query","required":false,"schema":{"type":"integer"},"description":"DESC(최신 쿼리가 먼저 오는 것을 의미) 또는 ASC(가장 초기의 쿼리가 먼저 오는 것을 의미)일 수 있습니다."},{"name":"endDate","in":"query","required":false,"schema":{"type":"string"},"description":"쿼리에 나타났어야 할 용어"},{"name":"startDate","in":"query","required":false,"schema":{"type":"string"},"description":"The earliest date from which you want to get history (dates should be in the form YYYY-MM-DD)"},{"name":"order","in":"query","required":false,"schema":{"type":"string"},"description":"Can either be DESC (meaning latest queries come first), or ASC (meaning earliest queries come first)"},{"name":"searchTerm","in":"query","required":false,"schema":{"type":"string"},"description":"The term that should have appeared in the query"}],"responses":{"200":{"description":"성공적인 대응","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object","properties":{"histories":{"type":"array","items":{"type":"object","properties":{"agent":{"type":"object","properties":{"id":{"type":"string","description":"질문을 만든 에이전트의 ID"}}},"question":{"type":"string","description":"쿼리에서 실제로 물어본 질문"},"answers":{"type":"array","items":{"type":"object","properties":{"faq":{"type":"object","properties":{"id":{"type":"string","description":"True조된 Q&A의 ID"}}},"effectiveConfidence":{"type":"number","description":"답변의 효과적인 신뢰도 점수"},"confidence":{"type":"number","description":"답변의 원시 신뢰 점수"}}}}}}},"count":{"type":"integer","description":"쿼리 반환 총 수"}}},"errors":{"type":"object","nullable":true,"description":"요청이 실패할 경우 오류 정보"}}}}}}}}}}}
```

## 질문과 답변 후보들

> 이 API를 사용하여 멤버의 미답변 질문 목록을 얻을 수 있습니다. 미답변 질문 목록은 Alli 내에서 '후보'로 명명됩니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"faqs","description":"FAQ related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/faq_candidates":{"get":{"tags":["faqs"],"operationId":"faqCandidates","summary":"질문과 답변 후보들","description":"이 API를 사용하여 멤버의 미답변 질문 목록을 얻을 수 있습니다. 미답변 질문 목록은 Alli 내에서 '후보'로 명명됩니다.","parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"},{"name":"hashtags","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"description":"후보의 상태를 확인하십시오. 이 값은 ALL, ACTIVE, ARCHIVED 중 하나일 수 있습니다."},{"name":"searchTerm","in":"query","required":false,"schema":{"type":"string"},"description":"Offset은 페이지의 첫 번째 항목의 순위 번호를 지정할 수 있게 해줍니다."},{"name":"order","in":"query","required":false,"schema":{"type":"string"},"description":"제한은 한 페이지에 반환되는 객체 수를 설정할 수 있습니다. 최대값은 100입니다."},{"name":"state","in":"query","required":false,"schema":{"type":"string"},"description":"Status of the candidates to see. It can be ALL or ACTIVE or ARCHIVED."},{"name":"offset","in":"query","required":false,"schema":{"type":"integer"},"description":"offset allows you to specify the ranking number of the first item on the page."},{"name":"limit","in":"query","required":false,"schema":{"type":"integer"},"description":"limit allows you to set the number of objects returned on one page. The maximum value is 100."}],"responses":{"200":{"description":"성공적인 답변","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object","properties":{"faqCandidates":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"답변되지 않은 질문에 대한 추출된 답변의 ID."},"frequency":{"type":"integer","description":"질문 밑의 모든 빈도수 숫자의 합."},"textAnswer":{"type":"string","description":"업로드된 문서에서 질문에 대한 답변을 추출했습니다."},"state":{"type":"string","description":"후보의 상태. 후보가 Q&A 데이터베이스에 아직 추가되지 않은 경우 ACTIVE. 후보가 Q&A 데이터베이스에 추가된 경우 ARCHIVED."},"createdAt":{"type":"number","description":"후보가 생성된 시각의 타임스탬프."},"questions":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"멤버의 미답변 질문 ID."},"question":{"type":"string","description":"멤버의 대답 없는 질문."},"frequency":{"type":"integer","description":"멤버들이 그 질문을 몇 번이나 했는지."},"history":{"type":"object","properties":{"id":{"type":"string","description":"답변하지 않은 질문의 이력 정보 ID."}}}}}}}}},"count":{"type":"integer","description":"후보의 총 건수."}}},"errors":{"type":"object","nullable":true}}}}}}}}}}}
```

## 일일 FAQ 수

> 지정된 날짜 범위 내에서 FAQ의 Q\&A 일일 트렌드.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"faqs","description":"FAQ related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/faq_daily_count":{"get":{"tags":["faqs"],"operationId":"faqDailyCount","summary":"일일 FAQ 수","description":"지정된 날짜 범위 내에서 FAQ의 Q&A 일일 트렌드.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"startDate":{"type":"string","description":"YYYY-MM-DD 형식의 조회할 날짜 범위의 시작."},"endDate":{"type":"string","description":"YYYY-MM-DD 형식으로 조회할 날짜 범위의 끝."}}}}}},"responses":{"200":{"description":"성공적으로 일일 FAQ 수를 검색했습니다.","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object","properties":{"dailyTotalCount":{"type":"array","description":"날짜 및 개수 쌍의 목록, 여기서 개수는 날짜에 선택된 FAQ의 수입니다.","items":{"type":"object","properties":{"date":{"type":"string","description":"YYYY-MM-DD 형식의 날짜"},"count":{"type":"integer","description":"이 날짜에 선택된 FAQ 수"}}}},"state":{"type":"string","description":"요청 상태"},"campaignCount":{"type":"integer","description":"캠페인 수"}}},"errors":{"type":"object","nullable":true}}}}}}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```

## 일일 FAQ 분석

> 가장 자주 묻는 Q\&A에 대한 분석 정보.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"faqs","description":"FAQ related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/faq_daily_analytics":{"get":{"tags":["faqs"],"operationId":"faqDailyAnalytics","summary":"일일 FAQ 분석","description":"가장 자주 묻는 Q&A에 대한 분석 정보.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"topN":{"type":"integer","description":"가장 자주 묻는 질문과 답변의 상위 N개. N의 최대값은 20입니다. N으로 1, 5, 10 또는 20을 사용해 주세요."},"startDate":{"type":"string","description":"YYYY-MM-DD 형식의 조회할 날짜 범위의 시작."},"endDate":{"type":"string","description":"YYYY-MM-DD 형식으로 조회할 날짜 범위의 종료일."}}}}}},"responses":{"200":{"description":"FAQ 분석을 성공적으로 가져왔습니다.","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object","properties":{"faqDailyAnalytics":{"type":"array","description":"FAQ 하나에 대한 분석 정보를 포함하는 JSON 객체 목록.","items":{"type":"object","properties":{"totalCount":{"type":"integer","description":"Q&A가 선택된 총 횟수."},"totalShownCount":{"type":"integer","description":"Q&A가 표시된 총 횟수."},"selectedRatio":{"type":"number","description":"Q&A가 선택된 횟수와 Q&A가 표시된 횟수의 비율."},"faq":{"type":"object","properties":{"id":{"type":"string","description":"FAQ ID"},"question":{"type":"string","description":"자주 묻는 질문"}}},"stats":{"type":"array","description":"날짜별 FAQ 선택 횟수를 나타내는 목록입니다. 각 항목은 날짜와 해당 날짜 에 선택된 횟수로 구성 됩니다.","items":{"type":"object","properties":{"date":{"type":"string","description":"YYYY-MM-DD 형식의 날짜"},"selectedCount":{"type":"integer","description":"이 날짜에 FAQ가 선택된 횟수"}}}}}}}}},"errors":{"type":"object","nullable":true}}}}}}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```

## Q\&A 후보들

> 시스템에 새로운 Q\&A 후보를 등록합니다.

```json
{"openapi":"3.1.0","info":{"title":"Alli API Documentation","version":"1.0.0"},"tags":[{"name":"faqs","description":"FAQ related APIs"}],"servers":[{"url":"https://backend.alli.ai","description":"US"}],"security":[{"ApiKeyAuth":[]},{"TokenAuth":[]},{"ProjectIdHeader":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"API-KEY","description":"Your API key for authentication"},"TokenAuth":{"type":"http","scheme":"bearer","description":"Your token for authentication"}},"parameters":{"AgentEmailHeader":{"name":"AGENT-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email of the agent to use for this request"},"UserEmailHeader":{"name":"USER-EMAIL","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: Email address to associate with the user"},"OwnUserIdHeader":{"name":"OWN-USER-ID","in":"header","required":false,"schema":{"type":"string"},"description":"Optional: User ID to identify or create a user"}}},"paths":{"/webapi/add_faq_candidates":{"post":{"tags":["faqs"],"operationId":"addFaqCandidates","summary":"Q&A 후보들","description":"시스템에 새로운 Q&A 후보를 등록합니다.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["queries"],"properties":{"queries":{"type":"array","items":{"type":"string"},"description":"등록하고자 하는 모든 쿼리 목록"}}}}}},"responses":{"200":{"description":"후보 등록 완료","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object","properties":{"candidates":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"후보의 ID가 등록되었습니다."}}}}}},"errors":{"type":"object","nullable":true}}}}}}},"parameters":[{"$ref":"#/components/parameters/AgentEmailHeader"},{"$ref":"#/components/parameters/UserEmailHeader"},{"$ref":"#/components/parameters/OwnUserIdHeader"}]}}}}
```
